package cn.com.infosec.util.encoders;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.OutputStream;

public class UrlBase64 {
   private static final Encoder encoder = new UrlBase64Encoder();

   public static byte[] encode(byte[] data) {
      ByteArrayOutputStream var1;
      ByteArrayOutputStream var10000 = var1 = new ByteArrayOutputStream;
      var10000.<init>();

      IOException var6;
      label26: {
         boolean var10001;
         Encoder var7;
         try {
            var7 = encoder;
         } catch (IOException var3) {
            var6 = var3;
            var10001 = false;
            break label26;
         }

         byte[] var10002 = data;
         byte[] var10003 = data;
         byte data1 = 0;

         try {
            var7.encode(var10002, data1, var10003.length, var1);
            return var10000.toByteArray();
         } catch (IOException var2) {
            var6 = var2;
            var10001 = false;
         }
      }

      IOException data2 = var6;
      throw new RuntimeException("exception encoding URL safe base64 string: " + data2);
   }

   public static int encode(byte[] data, OutputStream out) {
      return encoder.encode(data, 0, data.length, out);
   }

   public static byte[] decode(byte[] data) {
      ByteArrayOutputStream var1;
      ByteArrayOutputStream var10000 = var1 = new ByteArrayOutputStream;
      var10000.<init>();

      IOException var6;
      label26: {
         boolean var10001;
         Encoder var7;
         try {
            var7 = encoder;
         } catch (IOException var3) {
            var6 = var3;
            var10001 = false;
            break label26;
         }

         byte[] var10002 = data;
         byte[] var10003 = data;
         byte data1 = 0;

         try {
            var7.decode(var10002, data1, var10003.length, var1);
            return var10000.toByteArray();
         } catch (IOException var2) {
            var6 = var2;
            var10001 = false;
         }
      }

      IOException data2 = var6;
      throw new RuntimeException("exception decoding URL safe base64 string: " + data2);
   }

   public static int decode(byte[] data, OutputStream out) {
      return encoder.decode(data, 0, data.length, out);
   }

   public static byte[] decode(String data) {
      ByteArrayOutputStream var1;
      ByteArrayOutputStream var10000 = var1 = new ByteArrayOutputStream;
      var10000.<init>();

      try {
         encoder.decode(data, var1);
      } catch (IOException var2) {
         throw new RuntimeException("exception decoding URL safe base64 string: " + var2);
      }

      return var10000.toByteArray();
   }

   public static int decode(String data, OutputStream out) {
      return encoder.decode(data, out);
   }
}
